<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		table{
			border: solid 7px black;

		}
	</style>
	<script type="text/javascript" src="funciones.js"></script>
	<script type="text/javascript">
		window.addEventListener("load", function(){
			let f=document.querySelector("#filas");
			let c=document.querySelector("#columnas");
			let btn=document.querySelector("#boton");
			let tabl=document.querySelector("#laTabla");
			//al pulsar el boton
			btn.addEventListener("click",function(){
				tabl.innerHTML=CreaTabla(parseInt(f.value), parseInt(c.value));

				document.querySelector("#btnFrojo").addEventListener("click", function(){
				document.querySelector("table").style.backgroundColor="red";
			});
			document.querySelector("#btnFAzul").addEventListener("click", function(){
				document.querySelector("table").style.backgroundColor="blue";
			});
			document.querySelector("#btnBrojo").addEventListener("click", function(){
				document.querySelector("table").style.borderColor="red";
			});
			document.querySelector("#btnBAzul").addEventListener("click", function(){
				document.querySelector("table").style.borderColor="blue";
			});

			});
		});
	</script>
</head>
<body>
	<content>
		<div>
			<p>Filas</p><input id="filas" type="text" name="" value="" placeholder="">
			<p>Columnas</p><input id="columnas" type="text" name="" value="" placeholder="">
			<button id="boton">Crear</button>
		<div>
				<h3>Color de fondo</h3>
				<button id="btnFrojo">Rojo</button>
				<button id="btnFAzul">Azul</button>
		</div>
		<div>
				<h3>Color del borde</h3>
				<button id="btnBrojo">Rojo</button>
				<button id="btnBAzul">Azul</button>
		</div>
		
			<h2>Tabla</h2>	
		</div>
		
		<div id="laTabla">
			
		</div>
	</content>
</body>
</html>